config/routes.rb
Rails.application.routes.draw do
  # For details on the DSL available within this file, see http://guides.rubyonrails.org/routing.html
  get '/calculator', to: 'apresentation#home'
  get '/calculator/:number1/:number2', to: 'apresentation#buttons'
  get '/subtracao/:result', to: "apresentation#subtracao", as: "sub"
  get '/divisao/:result', to: "apresentation#divisao", as: "div"
  get '/multiplicacao/:result', to: "apresentation#multiplicacao", as: "mult"
  get '/adicao/:result', to: "apresentation#adicao", as: "add"
end

app/models/application_record.rb
class ApplicationRecord < ActiveRecord::Base
  self.abstract_class = true
end

app/controllers/application_controller.rb
class ApplicationController < ActionController::Base
    
end

app/controllers/apresentation_controller.rb
class ApresentationController < ApplicationController
    
    def home
        
    end

    def buttons
        @number1 = params[:number1].to_i
        @number2 = params[:number2].to_i
        @add = @number1 + @number2
        @sub = @number1 - @number2
        @mult = @number1 * @number2
        @div = @number1 / @number2
    end

    def adicao

        @add = params[:result].to_i

    end

    def multiplicacao

        @mult = params[:result].to_i
        
    end

    def subtracao
        @sub = params[:result].to_i
    end

    def divisao
        @div = params[:result].to_i
    end

end

app/helpers/application_helper.rb
module ApplicationHelper
end

app/views/apresentation/adicao.html.erb
<h1>Adição</h1>


<h2>O resultado é <%= @add %>   

app/views/apresentation/buttons.html.erb
<h1>Calculadora</h1>


<%= link_to "Adicao", add_path(:result => @add) %>
<%= link_to "Subtracao", sub_path(:result => @sub) %>
<%= link_to "Multiplicacao", mult_path(:result => @mult) %>
<%= link_to "Divisao", div_path(:result => @div) %>

app/views/apresentation/divisao.html.erb
<h1>Divisão</h1>

<h2>o resultado é <%= @div %><h2>

app/views/apresentation/home.html.erb
<h1>Calculadora</h1>

<h2><%= "Insira dois numeros na url"%><h2>

app/views/apresentation/multiplicacao.html.erb
<h1>Multiplicação</h1>

<h2>O resultado é <%= @mult %><h2>

app/views/apresentation/subtracao.html.erb
<h1>Subtração</h1>

<h2>O resultado é <%= @sub  %><h2>

app/views/layouts/application.html.erb
<!DOCTYPE html>
<html>
  <head>
    <title>Calculator</title>
    <%= csrf_meta_tags %>
    <%= csp_meta_tag %>

    <%= stylesheet_link_tag    'application', media: 'all', 'data-turbolinks-track': 'reload' %>
    <%= javascript_include_tag 'application', 'data-turbolinks-track': 'reload' %>
  </head>

  <body>
    <%= yield %>
  </body>
</html>